<span class="add-button d-flex flex-row" (click)="openVerticallyCentered(mymodal)">+</span>
<ng-template #mymodal let-modal >
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Créer un Plan de Tests</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <form [formGroup]="createPlanForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <label class="mb-1">Nom du Plan de Tests</label>
        <input type="text" formControlName="nom" class="form-control mb-2" [ngClass]="{ 'is-invalid': submitted && f['nom'].errors }" />
        <div *ngIf="submitted && f['nom'].errors" class="invalid-feedback">
          <div *ngIf="f['nom'].errors['required']">Champs requis</div>
        </div>
      </div>
      <div class="form-group">
        <label class="mb-1">Détails</label>
        <textarea  formControlName="details" class="form-control mb-2" [ngClass]="{ 'is-invalid': submitted && f['details'].errors }" ></textarea>
        <div *ngIf="submitted && f['details'].errors" class="invalid-feedback">
          <div *ngIf="f['details'].errors['required']">Champs requis</div>
        </div>
      </div>
      Projet: {{ projet }}
      <div class="mt-3 mb-2">
        <button class="btn btn-primary w-100">Sauvegarder</button>
      </div>
      <div class="mt-2 mb-2">
        <button class="btn btn-secondary w-100" type="reset" (click)="onReset()">Annuler</button>
      </div>
    </form>
  </div>
</ng-template>

